### Method

# FwupdPlugin Config load

since: 1.9.1

#### Declaration [src]

    gboolean
    fu_config_load (
      FuConfig* self,
      FuConfigLoadFlags flags,
      GError** error
    )

#### Description [src]

Loads the configuration files from all possible locations.

Available since: 1.9.1

#### Parameters

`flags`

  Type: `FuConfigLoadFlags`

  Some `FuConfigLoadFlags`, typically `FU_CONFIG_LOAD_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.